/*

Monokai Sublime style. Derived from Monokai by noformnocontent http://nn.mit-license.org/

*/

.hljs {
  display: block;
  overflow-x: auto;
  padding: 0.5em;
  background: #23241f;
}

.hljs,
.hljs-tag,
.hljs-subst {
  color: #f8f8f2;
}

.hljs-strong,
.hljs-emphasis {
  color: #a8a8a2;
}

.hljs-bullet,
.hljs-quote,
.hljs-number,
.hljs-regexp,
.hljs-literal,
.hljs-link {
  color: #ae81ff;
}

.hljs-code,
.hljs-title,
.hljs-section,
.hljs-selector-class {
  color: #a6e22e;
}

.hljs-strong {
  font-weight: bold;
}

.hljs-emphasis {
  font-style: italic;
}

.hljs-keyword,
.hljs-selector-tag,
.hljs-name,
.hljs-attr {
  color: #f92672;
}

.hljs-symbol,
.hljs-attribute {
  color: #66d9ef;
}

.hljs-params,
.hljs-class .hljs-title {
  color: #f8f8f2;
}

.hljs-string,
.hljs-type,
.hljs-built_in,
.hljs-builtin-name,
.hljs-selector-id,
.hljs-selector-attr,
.hljs-selector-pseudo,
.hljs-addition,
.hljs-variable,
.hljs-template-variable {
  color: #e6db74;
}

.hljs-comment,
.hljs-deletion,
.hljs-meta {
  color: #75715e;
}

html,
body {
  height: 100%;
  overflow: hidden;
}
body {
  background-color: #d6def8;
}
#page-header {
  padding: 0;
  font-size: 1vw;
  transition: height 200ms ease-out, transform 200ms ease-out;
  transform: translate3d(0, -0.5vw, 0);
}
#page-header:hover,
#page-header.showing {
  transform: translate3d(0, 0, 0);
}
#page-header:hover + #presentation-container,
#page-header.showing + #presentation-container {
  transform: translate3d(0, 6vw, 0);
}
@media screen and (orientation: portrait) {
  #page-header {
    font-size: 1.25vh;
  }
  #page-header:hover + #presentation-container {
    transform: translate3d(0, 12vh, 0);
  }
}
#page-title {
  margin: 0;
  vertical-align: top;
}
#page-author {
  display: inline-block;
  float: right;
  margin: 8px;
}
#page-author-name {
  display: none;
}
.page-author-picture {
  width: 60px;
  height: 60px;
  border-radius: 50%;
}
#presentation-container {
  position: absolute;
  top: 0;
  height: calc(100vh - 1vw);
  width: 100%;
  transform: translate3d(0, 1vw, 0);
  transition: transform 300ms ease;
}
.title-part-left,
.title-part-top,
.title-part-right,
.subtitle {
  opacity: 0;
  display: inline-block;
}
.title-part-left {
  animation: appear-from-left 600ms cubic-bezier(0, 0, 0.7, 1.58) 0s 1 forwards;
  animation-delay: 900ms;
  transform: translateX(-2em);
}
.title-part-top {
  animation: appear-from-top 600ms cubic-bezier(0, 0, 0.7, 1.58) 0s 1 forwards;
  animation-delay: 1350ms;
  transform: translateY(-1em);
}
.title-part-right {
  animation: appear-from-right 600ms cubic-bezier(0, 0, 0.7, 1.58) 0s 1 forwards;
  animation-delay: 1800ms;
  transform: translateX(2em);
}
.subtitle {
  animation: appear-from-bottom 600ms cubic-bezier(0, 0, 0.7, 1.58) 0s 1 forwards;
  animation-delay: 2250ms;
  transform: translateY(100%);
}
.bordered {
  border: 1px solid rgba(0,0,0,0.5);
}
.rounded {
  border-radius: 4px;
}
.clearer {
  clear: both;
}
.markdown-it-container,
div.result,
div.did-you-know {
  position: relative;
}
.markdown-it-container > p,
div.result > p,
div.did-you-know > p {
  margin: 0;
}
.markdown-it-container::before,
div.result::before,
div.did-you-know::before {
  content: attr(data-before);
}
div.result {
  margin-left: 1.5em;
  padding-top: 1em;
  margin-top: 0.5em;
  padding: 0.5em;
  background-color: #c4e3ff;
  border: 1px dashed #3da3ff;
  border-radius: 0.25em;
}
div.result::before {
  border: 1px solid #ff5722;
  background-color: #ff8a65;
  color: #fff;
  display: inline-block;
  transform: rotate(-3deg);
  font-weight: bold;
  position: absolute;
  top: -0.5em;
  left: -2em;
  font-size: 0.75em;
  line-height: 1.5em;
  padding: 0 0.5em;
}
div.did-you-know {
  background-image: url("../images/question-mark-bg.png");
  border-left: 4px solid #800080;
  box-shadow: 5px 5px 5px #c0c0c0;
  padding-right: 1em;
}
div.did-you-know::before {
  display: block;
  margin: 4px;
  background-color: #fff;
  font-family: "Purisa", "Comic Sans MS", cursive;
  font-weight: bold;
  color: #800080;
}
.push-code-right pre {
  float: right;
  clear: right;
}
.code-split-2 {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: start;
      align-items: flex-start;
}
.code-split-2 pre.hljs {
  -ms-flex: 1;
      flex: 1;
  margin-top: 0;
  margin-bottom: 0;
}
.code-split-2 pre.hljs:not(:last-of-type) {
  border-right: 3px double #fff;
}
.code-split-2 pre.hljs + pre.hljs {
  margin-top: 0;
}
#easter-egg-panel {
  position: absolute;
  right: 1vw;
  bottom: 4vh;
  color: #000;
  padding: 5px;
  font-size: 11px;
  background-color: #c0c0c0;
  border-radius: 5px;
  transition: opacity 100ms ease-out;
  pointer-events: none;
  opacity: 0;
  z-index: 1;
  font-family: monospace;
  font-weight: bold;
}
#easter-egg-panel.active {
  opacity: 0.25;
}
#easter-egg-panel.success {
  animation: vanishing 800ms ease-out 0s 1;
}
.easter-egg-key {
  transition: all 100ms ease-out;
  opacity: 0;
  transform: translate3d(1em, 0, 0);
}
.active .easter-egg-key {
  opacity: 1;
  transform: translate3d(0, 0, 0);
}
.shaking {
  animation: shaking 500ms ease-out 0s 1;
}
.shaking:nth-child(2n) {
  animation-delay: 100ms;
}
.blastoff.bespoke-backdrop-active {
  background-image: url("../images/icanhaz-blastoff.gif");
  background-size: cover;
  width: 100%;
  height: 100%;
}
.oldtimes.bespoke-backdrop-active {
  background-image: url("../images/old-movie-texture.gif");
  background-size: cover;
  opacity: 0.4;
  width: 100%;
  height: 100%;
}
.resolution {
  opacity: 0;
  transition: all 100ms cubic-bezier(0.175, 0.885, 0.32, 1.275);
  transform: translateY(100%);
}
.resolution.resolution-shown {
  opacity: 1;
  transform: translateY(0);
}
.piratas.bespoke-backdrop {
  background-image: url("../images/piratas-e-seus-tesouros.png");
  background-size: cover;
  width: 100%;
  height: 100%;
  opacity: 0;
  transition: none;
  transform: scale(0.35);
}
.piratas.bespoke-backdrop.bespoke-backdrop-active {
  opacity: 1;
  transform: scale(1);
  transition: all 500ms ease 400ms;
}
.pratica-abelhas.bespoke-backdrop {
  background-image: url("../images/pratica-abelhas.png");
  background-size: cover;
  width: 100%;
  height: 100%;
  opacity: 0;
  transition: none;
  transform: scale(0.35);
}
.pratica-abelhas.bespoke-backdrop.bespoke-backdrop-active {
  opacity: 1;
  transform: scale(1);
  transition: all 500ms ease 400ms;
}
.pratica-unicornios.bespoke-backdrop {
  background-image: url("../images/unicorns-comp-lpw.png");
  background-size: cover;
  width: 100%;
  height: 100%;
  opacity: 0;
  transition: none;
  transform: scale(0.35);
}
.pratica-unicornios.bespoke-backdrop.bespoke-backdrop-active {
  opacity: 1;
  transform: scale(1);
  transition: all 500ms ease 400ms;
}
.divitite.bespoke-backdrop {
  opacity: 0;
  transform: translate3d(0, 5%, 0);
  transition: opacity 200ms ease 500ms, transform 200ms ease 500ms;
}
.divitite.bespoke-backdrop-active {
  background-image: url("../images/divitities.png");
  background-size: cover;
  background-position: 50% 0%;
  opacity: 1;
  transform: translate3d(0, 0, 0);
  width: 100%;
  height: 100%;
}
.assombrado.bespoke-backdrop {
  opacity: 0;
  transform: translate3d(0, 5%, 0);
  transition: opacity 200ms ease 500ms, transform 200ms ease 500ms;
}
.assombrado.bespoke-backdrop-active {
  background-image: url("../images/assombrado.jpg");
  background-size: cover;
  background-position: 50% 0%;
  opacity: 1;
  transform: translate3d(0, 0, 0);
  width: 100%;
  height: 100%;
}
.exemplo-position-absolute.bespoke-backdrop {
  opacity: 0;
  transform: translate3d(0, 5%, 0);
  transition: opacity 200ms ease 500ms, transform 200ms ease 500ms;
}
.exemplo-position-absolute.bespoke-backdrop-active {
  background-image: url("../images/exemplo-position-absolute.png");
  background-repeat: no-repeat;
  background-position: 50% 100%;
  opacity: 1;
  transform: translate3d(0, 0, 0);
  width: 100%;
  height: 100%;
}
.exemplo-position-relative.bespoke-backdrop {
  opacity: 0;
  transform: translate3d(0, 5%, 0);
  transition: opacity 200ms ease 500ms, transform 200ms ease 500ms;
}
.exemplo-position-relative.bespoke-backdrop-active {
  background-image: url("../images/exemplo-position-relative.png");
  background-repeat: no-repeat;
  background-position: 50% 100%;
  opacity: 1;
  transform: translate3d(0, 0, 0);
  width: 100%;
  height: 100%;
}
.assombrado-position.bespoke-backdrop {
  opacity: 0;
  transform: translate3d(0, 5%, 0);
  transition: opacity 200ms ease 500ms, transform 200ms ease 500ms;
}
.assombrado-position.bespoke-backdrop-active {
  background-image: url("../images/assombrado-position.png");
  background-size: cover;
  background-position: 50% 0%;
  opacity: 1;
  transform: translate3d(0, 0, 0);
  width: 100%;
  height: 100%;
}
.coral-55.bespoke-backdrop {
  opacity: 0;
  transform: translate3d(0, 5%, 0);
  transition: opacity 200ms ease 500ms, transform 200ms ease 500ms;
}
.coral-55.bespoke-backdrop-active {
  background-image: url("../images/coral55-comp.png");
  background-size: cover;
  background-position: 50% 0%;
  opacity: 1;
  transform: translate3d(0, 0, 0);
  width: 100%;
  height: 100%;
}
.matematica.bespoke-backdrop {
  opacity: 0;
  transform: translate3d(0, 5%, 0);
  transition: opacity 200ms ease 500ms, transform 200ms ease 500ms;
}
.matematica.bespoke-backdrop-active {
  background-image: url("../images/matematica.png");
  background-size: cover;
  background-position: 50% 0%;
  opacity: 1;
  transform: translate3d(0, 0, 0);
  width: 100%;
  height: 100%;
}
.space.bespoke-backdrop {
  opacity: 0;
  transform: translate3d(0, 5%, 0);
  transition: opacity 200ms ease 500ms, transform 200ms ease 500ms;
}
.space.bespoke-backdrop-active {
  background-image: url("../images/cefet-web-space.png");
  background-size: cover;
  background-position: 50% 0%;
  opacity: 1;
  transform: translate3d(0, 0, 0);
  width: 100%;
  height: 100%;
}
.lista-de-tarefas.bespoke-backdrop {
  opacity: 0;
  transform: translate3d(0, 5%, 0);
  transition: opacity 200ms ease 500ms, transform 200ms ease 500ms;
}
.lista-de-tarefas.bespoke-backdrop-active {
  background-image: url("../images/cefet-front-end-todo.png");
  background-size: cover;
  background-position: 50% 0%;
  opacity: 1;
  transform: translate3d(0, 0, 0);
  width: 100%;
  height: 100%;
}
.shiny.bespoke-backdrop-active {
  position: relative;
  width: 100%;
  height: 100%;
}
.shiny.bespoke-backdrop-active::before {
  content: " ";
  position: absolute;
  top: -75%;
  left: -75%;
  right: -75%;
  bottom: -75%;
  background-image: url("../images/shiny.jpg");
  background-size: contain;
  background-position: 50% 50%;
  opacity: 0.5;
  animation: girando 360s linear 0s infinite;
}
.resolutionary.bespoke-backdrop {
  opacity: 0;
  transform: translate3d(0, 5%, 0);
  transition: opacity 200ms ease 500ms, transform 200ms ease 500ms;
}
.resolutionary.bespoke-backdrop-active {
  background-image: url("../images/resolutionary.jpg");
  background-size: cover;
  background-position: 50% 0%;
  opacity: 1;
  transform: translate3d(0, 0, 0);
  width: 100%;
  height: 100%;
}
.piratas-php.bespoke-backdrop {
  background-image: url("../images/piratas-php.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: 50% 100%;
  width: 100%;
  height: 100%;
  opacity: 0;
  transition: none;
  transform: scale(0.35);
}
.piratas-php.bespoke-backdrop.bespoke-backdrop-active {
  opacity: 1;
  transform: scale(1);
  transition: all 500ms ease 400ms;
}
.starwars.bespoke-backdrop {
  opacity: 0;
  transform: translate3d(0, 5%, 0);
  transition: opacity 200ms ease 500ms, transform 200ms ease 500ms;
}
.starwars.bespoke-backdrop-active {
  background-image: url("../images/cefet-front-end-starwars.png");
  background-size: cover;
  background-position: 50% 0%;
  opacity: 1;
  transform: translate3d(0, 0, 0);
  width: 100%;
  height: 100%;
}
@keyframes girando {
  from {
    transform: rotateZ(0);
  }
  to {
    transform: rotateZ(1turn);
  }
}
strong.alternate-color {
  color: #7b9c02;
}
.show-active-slide-and-previous .bespoke-before-1 {
  transform: translate3d(-30%, 0, -250px) rotateY(10deg);
  opacity: 1;
}
.show-active-slide-and-previous .bespoke-active {
  transform: translate3d(30%, 0, -250px) rotateY(-10deg);
}
[data-bespoke-state=show-active-slide-and-previous].bespoke-before-1 {
  transform: translate3d(-30%, 0, -250px) rotateY(10deg);
  opacity: 0;
}
ul.no-list-icon,
ol.no-list-icon {
  list-style-type: none;
}
.no-padding {
  padding: 0;
}
.centered {
  margin-left: auto;
  margin-right: auto;
}
.horizontal-list-flex {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -ms-flex-direction: row;
      flex-direction: row;
}
.full-page-video-caption {
  position: absolute;
  bottom: 30px;
  font-size: 0.75em;
  left: 50%;
  width: 16em;
  text-align: center;
  margin-left: -8em;
  padding: 0;
  background-color: rgba(255,255,8,0.65);
  border-radius: 0.25em;
  box-shadow: 3px 3px 3px rgba(0,0,0,0.2);
}
.figure-slides > p {
  margin: 0;
}
.figure-slides.clean .bespoke-bullet:not(.bespoke-bullet-current) {
  visibility: hidden;
}
.bullet-no-anim {
  transition: none !important;
}
.full-width-slides {
  max-width: 100%;
}
.full-width-slides img {
  max-width: 100%;
}
.layout-regular-horizontal {
  -ms-flex-direction: row;
      flex-direction: row;
}
.layout-regular-block {
  display: block;
}
.layout-2-column-content-zigzag {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: row;
      flex-direction: row;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -ms-flex-align: start;
      align-items: flex-start;
}
.layout-2-column-content-zigzag h1,
.layout-2-column-content-zigzag h2 {
  width: 100%;
}
.layout-2-column-content-zigzag > *:not(:first-child) {
  width: 48%;
}
.layout-2-column-content-result {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
      flex-direction: column;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -ms-flex-align: end;
      align-items: flex-end;
}
.layout-2-column-content-result > * {
  width: 48%;
}
[class*="layout-2-column-content-"] {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: row;
      flex-direction: row;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -ms-flex-align: start;
      align-items: flex-start;
}
[class*="layout-2-column-content-"] > *:first-child {
  width: 100%;
  -ms-flex-item-align: end;
      align-self: flex-end;
}
[class*="layout-2-column-content-"] > pre {
  max-height: calc(100% - 0.25em - 1.5em - 24px - 4em);
}
.layout-2-column-content-30-70 > *:nth-child(2) {
  width: 30%;
}
.layout-2-column-content-30-70 > *:last-child {
  width: 68%;
}
.layout-2-column-content-40-60 > *:nth-child(2) {
  width: 40%;
}
.layout-2-column-content-40-60 > *:last-child {
  width: 58%;
}
.underline {
  position: relative;
}
.underline::after {
  content: " ";
  position: absolute;
  bottom: 5%;
  left: 0;
  width: 100%;
  border: 2px solid currentColor;
}
.underline.upon-activation::after {
  transition: width 400ms ease-out 400ms;
  width: 0;
}
.bespoke-active .underline.upon-activation::after {
  width: 100%;
}
.jump.upon-activation {
  display: inline-block;
  transition: all 200ms cubic-bezier(0, 0, 0.27, 1.58) 700ms;
  opacity: 0;
  transform: scale(0.2) translateY(50%);
}
.bespoke-active .jump.upon-activation {
  opacity: 1;
  transform: scale(0.6) translateY(0%);
}
.delay-200,
.delay-200::before,
.delay-200::after {
  animation-delay: 200ms !important;
  transition-delay: 200ms !important;
}
.delay-400,
.delay-400::before,
.delay-400::after {
  animation-delay: 400ms !important;
  transition-delay: 400ms !important;
}
.delay-600,
.delay-600::before,
.delay-600::after {
  animation-delay: 600ms !important;
  transition-delay: 600ms !important;
}
.delay-800,
.delay-800::before,
.delay-800::after {
  animation-delay: 800ms !important;
  transition-delay: 800ms !important;
}
.delay-1000,
.delay-1000::before,
.delay-1000::after {
  animation-delay: 1000ms !important;
  transition-delay: 1000ms !important;
}
.delay-1200,
.delay-1200::before,
.delay-1200::after {
  animation-delay: 1200ms !important;
  transition-delay: 1200ms !important;
}
.delay-1400,
.delay-1400::before,
.delay-1400::after {
  animation-delay: 1400ms !important;
  transition-delay: 1400ms !important;
}
.delay-1600,
.delay-1600::before,
.delay-1600::after {
  animation-delay: 1600ms !important;
  transition-delay: 1600ms !important;
}
.delay-1800,
.delay-1800::before,
.delay-1800::after {
  animation-delay: 1800ms !important;
  transition-delay: 1800ms !important;
}
.delay-2000,
.delay-2000::before,
.delay-2000::after {
  animation-delay: 2000ms !important;
  transition-delay: 2000ms !important;
}
.delay-2200,
.delay-2200::before,
.delay-2200::after {
  animation-delay: 2200ms !important;
  transition-delay: 2200ms !important;
}
.delay-2400,
.delay-2400::before,
.delay-2400::after {
  animation-delay: 2400ms !important;
  transition-delay: 2400ms !important;
}
.delay-2600,
.delay-2600::before,
.delay-2600::after {
  animation-delay: 2600ms !important;
  transition-delay: 2600ms !important;
}
.delay-2800,
.delay-2800::before,
.delay-2800::after {
  animation-delay: 2800ms !important;
  transition-delay: 2800ms !important;
}
.delay-3000,
.delay-3000::before,
.delay-3000::after {
  animation-delay: 3000ms !important;
  transition-delay: 3000ms !important;
}
abbr[title] {
  border-bottom: initial;
}
.nota {
  border: 1px solid #b8860b;
  list-style-type: none;
  border-radius: 5px;
  box-shadow: 3px 3px 3px rgba(0,0,0,0.2);
  padding: 0.3em 0.5em;
  background: linear-gradient(to right bottom, #ffffe0, #fff176);
}
.nota::before {
  content: "\26A0";
  margin-right: 1rem;
  color: #000;
  border: inherit;
  border-radius: 50%;
  width: 1em;
  height: 1em;
  display: inline-block;
  text-align: center;
  line-height: 0.75em;
  background: #fff;
  font-size: 2em;
  box-shadow: inherit;
  box-sizing: border-box;
}
.nota strong {
  color: #b8860b;
}
.tutorial {
  position: absolute;
  right: 1vw;
  bottom: 2em;
  padding: 0.5em 0.75em;
  font-size: 2vw;
  width: 13em;
  border-radius: 0.4em;
  border: 1px solid rgba(0,0,0,0.3);
  background-color: rgba(255,255,255,0.8);
  box-shadow: 3px 3px 3px rgba(0,0,0,0.2);
  transition: opacity 300ms ease-out, transform 400ms cubic-bezier(0, 0, 0.53, 1.64);
  opacity: 0;
  transform: scale(0.5);
  z-index: 1;
  pointer-events: none;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
.tutorial.tutorial-on {
  opacity: 1;
  transform: scale(1);
  animation: bounce 1s ease-out 0s infinite alternate;
}
@media screen and (orientation: portrait) {
  .tutorial {
    font-size: 2vh;
  }
}
@keyframes bounce {
  from {
    right: 1vw;
  }
  to {
    right: 2vw;
  }
}
/* fonts for browser icons (used with permission from IcoMoon.io) */
@font-face {
  font-family: 'agents';
  src: url('../fonts/agents.eot');
  src: url('../fonts/agents.eot?#iefix') format('embedded-opentype'), url('../fonts/agents.svg#agents') format('svg'), url('../fonts/agents.woff') format('woff'), url('../fonts/agents.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}
.caniuse {
  padding: 10px;
  border: 1px solid silver;
  border-radius: 10px;
  background-color: #fff;
  width: 380px;
  display: inline-block;
  font-family: initial;
}
.caniuse h1,
.caniuse h2,
.caniuse h3,
.caniuse h4,
.caniuse .caniuse-title,
.caniuse p {
  line-height: 1.4;
  margin: 5px;
  text-align: center;
}
.caniuse h1,
h1.caniuse-title {
  font-size: 1.8em;
}
.caniuse h2,
h2.caniuse-title {
  font-size: 1.4em;
}
.caniuse h3,
h3.caniuse-title {
  font-size: 1.2em;
}
.caniuse p {
  font-size: 0.8em;
}
.caniuse .status {
  font-style: italic;
}
.caniuse .agents,
.caniuse .legend {
  margin: 0 auto;
  max-width: 1200px;
  overflow: hidden;
  width: auto;
  list-style-type: none;
  margin: 0;
  overflow: auto;
  padding: 0;
  width: auto;
  margin: 0 auto;
  max-width: 400px;
  clear: left;
}
.caniuse .agents > li,
.caniuse .legend > li {
  float: left;
}
.caniuse .agents li,
.caniuse .legend li {
  box-shadow: inset 0 -5px 2px rgba(175, 175, 195, 0.02);
  float: left;
  margin-right: 1.2024048096192386%;
  padding: 5px 0;
  text-align: center;
  width: 19.03807615230461%;
}
.caniuse .agents li.y,
.caniuse .legend li.y,
.caniuse .agents li.x,
.caniuse .legend li.x {
  background: #cf9;
}
.caniuse .agents li.a,
.caniuse .legend li.a {
  background: #cd5;
}
.caniuse .agents li.p,
.caniuse .legend li.p {
  background: #aaf;
}
.caniuse .agents li.n,
.caniuse .legend li.n {
  background: #f99;
}
.caniuse .agents li.u,
.caniuse .legend li.u {
  background: #ccc;
}
.caniuse .agents li:last-child,
.caniuse .legend li:last-child {
  margin-right: 0;
}
.caniuse .agents li {
  font-size: 1em;
  /* android */

  /* chrome */

  /* firefox */

  /* ie */

  /* ios */

  /* opera */

  /* safari */

  /* hover states */

}
.caniuse .agents li:hover,
.caniuse .agents li:hover:before {
  color: #fff;
  text-shadow: 0 1px 0 #aaa;
}
.caniuse .agents li:before {
  color: #555;
  font-size: 2em;
}
.caniuse .agents li[class^="icon-"]:before,
.caniuse .agents li [class*=" icon-"]:before {
  font-family: 'agents';
  font-style: normal;
  speak: none;
  font-weight: normal;
  -webkit-font-smoothing: antialiased;
}
.caniuse .agents li.icon-android:before {
  content: "\e006";
}
.caniuse .agents li.icon-chrome:before,
.caniuse .agents li.icon-and_chr:before {
  content: "\e004";
}
.caniuse .agents li.icon-firefox:before,
.caniuse .agents li.icon-and_ff:before {
  content: "\e000";
}
.caniuse .agents li.icon-ie:before,
.caniuse .agents li.icon-windows:before {
  content: "\e001";
  /* alternate windows icon: content: "\e007" */

}
.caniuse .agents li.icon-edge:before,
.caniuse .agents li.icon-windows:before {
  content: "\e007";
  /* alternate windows icon: content: "\e007" */

}
.caniuse .agents li.icon-ios_saf:before {
  content: "\e005";
}
.caniuse .agents li.icon-opera:before,
.caniuse .agents li.icon-op_mini:before,
.caniuse .agents li.icon-op_mob:before {
  content: "\e002";
}
.caniuse .agents li.icon-safari:before {
  content: "\e003";
}
.caniuse .agents li.icon-ios_saf:hover,
.caniuse .agents li.icon-safari:hover {
  background: #869abb;
}
.caniuse .agents li.icon-android:hover {
  background: #97c03d;
}
.caniuse .agents li.icon-chrome:hover,
.caniuse .agents li.icon-and_chr:hover {
  background: #40ace8;
}
.caniuse .agents li.icon-firefox:hover,
.caniuse .agents li.icon-and_ff:hover {
  background: #dc6f26;
}
.caniuse .agents li.icon-ie:hover,
.caniuse .agents li.icon-windows:hover {
  background: #1a4cbd;
}
.caniuse .agents li.icon-edge:hover,
.caniuse .agents li.icon-windows:hover {
  background: #1a4cbd;
}
.caniuse .agents li.icon-opera:hover,
.caniuse .agents li.icon-op_mini:hover,
.caniuse .agents li.icon-op_mob:hover {
  background: #f0232a;
}
.caniuse .legend {
  border-top: 1px dotted #aaa;
  margin: 20px auto 10px;
  padding-top: 10px;
}
.caniuse .legend li {
  font-size: 0.8em;
}
.caniuse .legend li.key {
  font-weight: bold;
}
.caniuse .version {
  display: block;
}

@media print {
  #page-header {
    display: none;
  }
  #presentation-container {
    height: auto;
  }
  .bespoke-slide {
    overflow-y: hidden;
  }
}
pre.hljs {
  margin: auto;
}
pre.hljs + pre.hljs {
  margin-top: 1em;
}
@keyframes appear-from-left {
  from {
    transform: translateX(-2em);
    opacity: 0.25;
  }
  to {
    transform: translateX(0);
    opacity: 1;
  }
}
@keyframes appear-from-top {
  from {
    transform: translateY(-1em);
    opacity: 0.25;
  }
  to {
    transform: translateY(0);
    opacity: 1;
  }
}
@keyframes appear-from-right {
  from {
    transform: translateX(2em);
    opacity: 0.25;
  }
  to {
    transform: translateX(0);
    opacity: 1;
  }
}
@keyframes appear-from-bottom {
  from {
    transform: translateY(100%);
    opacity: 0.25;
  }
  to {
    transform: translateX(0);
    opacity: 1;
  }
}
@keyframes vanishing {
  from {
    transform: scale(1);
  }
  to {
    transform: scale(2);
    opacity: 0;
  }
}
@keyframes shaking {
  0% {
    transform: translate3d(4px, 0px, 0px);
  }
  10% {
    transform: translate3d(-7px, -5px, 0px);
  }
  20% {
    transform: translate3d(8px, 5px, 0px);
  }
  30% {
    transform: translate3d(-7px, 3px, 0px);
  }
  40% {
    transform: translate3d(9px, -3px, 0px);
  }
  50% {
    transform: translate3d(-4px, 3px, 0px);
  }
  60% {
    transform: translate3d(4px, -4px, 0px);
  }
  70% {
    transform: translate3d(-5px, -4px, 0px);
  }
  80% {
    transform: translate3d(4px, 2px, 0px);
  }
  90% {
    transform: translate3d(-3px, -1px, 0px);
  }
  100% {
    transform: translate3d(0px, 0px, 0px);
  }
}
